## subsurface 1.2

=== Makefile ===
VERSION=1.2

CC=gcc
CFLAGS=-Wall -Wno-pointer-sign -g
INSTALL=install
PKGCONFIG=pkg-config
XML2CONFIG=xml2-config
XSLCONFIG=xslt-config

# these locations seem to work for SuSE and Fedora
# prefix = $(HOME)
prefix = $(DESTDIR)/usr
BINDIR = $(prefix)/bin
DATADIR = $(prefix)/share
DESKTOPDIR = $(DATADIR)/applications
ICONPATH = $(DATADIR)/icons/hicolor
ICONDIR = $(ICONPATH)/scalable/apps
MANDIR = $(DATADIR)/man/man1
XSLTDIR = $(DATADIR)/subsurface/xslt
gtk_update_icon_cache = gtk-update-icon-cache -f -t $(ICONPATH)

NAME = subsurface
ICONFILE = $(NAME).svg
DESKTOPFILE = $(NAME).desktop
MANFILES = $(NAME).1
XSLTFILES = xslt/*.xslt

UNAME := $(shell $(CC) -dumpmachine 2>&1 | grep -E -o "linux|darwin|win")

# find libdivecomputer
# First deal with the cross compile environment and with Mac.
# For the native case, Linus doesn't want to trust pkg-config given
# how young libdivecomputer still is - so we check the typical
# subdirectories of /usr/local and /usr and then we give up. You can
# override by simply setting it here
#
ifeq ($(CC), i686-w64-mingw32-gcc)
# ok, we are cross building for Windows
	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
	RESFILE = packaging/windows/subsurface.res
	LDFLAGS += -Wl,-subsystem,windows
else ifeq ($(UNAME), darwin)
	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
else
libdc-local := $(wildcard /usr/local/lib/libdivecomputer.a)
libdc-local64 := $(wildcard /usr/local/lib64/libdivecomputer.a)
libdc-usr := $(wildcard /usr/lib/libdivecomputer.a)
libdc-usr64 := $(wildcard /usr/lib64/libdivecomputer.a)

ifneq ($(strip $(libdc-local)),)
	LIBDIVECOMPUTERDIR = /usr/local
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include/libdivecomputer
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib/libdivecomputer.a
else ifneq ($(strip $(libdc-local64)),)
	LIBDIVECOMPUTERDIR = /usr/local
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include/libdivecomputer
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib64/libdivecomputer.a
else ifneq ($(strip $(libdc-usr)),)
	LIBDIVECOMPUTERDIR = /usr
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include/libdivecomputer
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib/libdivecomputer.a
else ifneq ($(strip $(libdc-usr64)),)
	LIBDIVECOMPUTERDIR = /usr
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include/libdivecomputer
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib64/libdivecomputer.a
else
$(error Cannot find libdivecomputer - please edit Makefile)
endif
endif

# Libusb-1.0 is only required if libdivecomputer was built with it.
# And libdivecomputer is only built with it if libusb-1.0 is
# installed. So get libusb if it exists, but don't complain
# about it if it doesn't.
LIBUSB = $(shell $(PKGCONFIG) --libs libusb-1.0 2> /dev/null)

LIBGTK = $(shell $(PKGCONFIG) --libs gtk+-2.0 glib-2.0)
LIBDIVECOMPUTERCFLAGS = $(LIBDIVECOMPUTERINCLUDES)
LIBDIVECOMPUTER = $(LIBDIVECOMPUTERARCHIVE) $(LIBUSB)

LIBXML2 = $(shell $(XML2CONFIG) --libs)
LIBXSLT = $(shell $(XSLCONFIG) --libs)
XML2CFLAGS = $(shell $(XML2CONFIG) --cflags)
GLIB2CFLAGS = $(shell $(PKGCONFIG) --cflags glib-2.0)
GTK2CFLAGS = $(shell $(PKGCONFIG) --cflags gtk+-2.0)
CFLAGS += $(shell $(XSLCONFIG) --cflags)

LIBZIP = $(shell $(PKGCONFIG) --libs libzip 2> /dev/null)
ifneq ($(strip $(LIBZIP)),)
	ZIP = -DLIBZIP $(shell $(PKGCONFIG) --cflags libzip)
endif

ifeq ($(UNAME), linux)
	LIBGCONF2 = $(shell $(PKGCONFIG) --libs gconf-2.0)
	GCONF2CFLAGS =  $(shell $(PKGCONFIG) --cflags gconf-2.0)
	OSSUPPORT = linux
	OSSUPPORT_CFLAGS = $(GTK2CFLAGS) $(GCONF2CFLAGS)
else ifeq ($(UNAME), darwin)
	OSSUPPORT = macos
	OSSUPPORT_CFLAGS = $(GTK2CFLAGS)
	MACOSXINSTALL = /Applications/Subsurface.app
	MACOSXFILES = packaging/macosx
	EXTRALIBS = $(shell $(PKGCONFIG) --libs gtk-mac-integration) -framework CoreFoundation
	CFLAGS += $(shell $(PKGCONFIG) --cflags gtk-mac-integration)
else
	OSSUPPORT = windows
	OSSUPPORT_CFLAGS = $(GTK2CFLAGS)
endif

ifneq ($(strip $(LIBXSLT)),)
	# We still need proper paths and install options for OSX and Windows
	ifeq ($(shell sh -c 'uname -s 2>/dev/null || echo not'),Linux)
		XSLT=-DXSLT='"$(XSLTDIR)"'
	endif
endif

LIBS = $(LIBXML2) $(LIBXSLT) $(LIBGTK) $(LIBGCONF2) $(LIBDIVECOMPUTER) $(EXTRALIBS) $(LIBZIP) -lpthread -lm

OBJS =	main.o dive.o profile.o info.o equipment.o divelist.o \
	parse-xml.o save-xml.o libdivecomputer.o print.o uemis.o \
	gtk-gui.o statistics.o file.o cochran.o $(OSSUPPORT).o $(RESFILE)

$(NAME): $(OBJS)
	$(CC) $(LDFLAGS) -o $(NAME) $(OBJS) $(LIBS)

install: $(NAME)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) $(NAME) $(BINDIR)
	$(INSTALL) -d -m 755 $(DESKTOPDIR)
	$(INSTALL) $(DESKTOPFILE) $(DESKTOPDIR)
	$(INSTALL) -d -m 755 $(ICONDIR)
	$(INSTALL) $(ICONFILE) $(ICONDIR)
	@-if test -z "$(DESTDIR)"; then \
		$(gtk_update_icon_cache); \
	fi
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -m 644 $(MANFILES) $(MANDIR)
	@-if test ! -z "$(XSLT)"; then \
		$(INSTALL) -d -m 755 $(DATADIR)/subsurface; \
		$(INSTALL) -d -m 755 $(XSLTDIR); \
		$(INSTALL) -m 644 $(XSLTFILES) $(XSLTDIR); \
	fi

install-macosx: $(NAME)
	$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources
	$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/MacOS
	$(INSTALL) $(NAME) $(MACOSXINSTALL)/Contents/MacOS/
	$(INSTALL) $(MACOSXFILES)/PkgInfo $(MACOSXINSTALL)/Contents/
	$(INSTALL) $(MACOSXFILES)/Info.plist $(MACOSXINSTALL)/Contents/
	$(INSTALL) $(ICONFILE) $(MACOSXINSTALL)/Contents/Resources/
	$(INSTALL) $(MACOSXFILES)/Subsurface.icns $(MACOSXINSTALL)/Contents/Resources/

file.o: file.c dive.h file.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) $(XSLT) $(ZIP) -c file.c

cochran.o: cochran.c dive.h file.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) $(XSLT) $(ZIP) -c cochran.c

parse-xml.o: parse-xml.c dive.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) $(XSLT) -c parse-xml.c

save-xml.o: save-xml.c dive.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c save-xml.c

dive.o: dive.c dive.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c dive.c

main.o: main.c dive.h display.h divelist.h
	$(CC) $(CFLAGS) $(GLIB2CFLAGS) $(GCONF2CFLAGS) $(XML2CFLAGS) -c main.c

profile.o: profile.c dive.h display.h divelist.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c profile.c

info.o: info.c dive.h display.h display-gtk.h divelist.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c info.c

equipment.o: equipment.c dive.h display.h divelist.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c equipment.c

statistics.o: statistics.c dive.h display.h divelist.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c statistics.c

divelist.o: divelist.c dive.h display.h divelist.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c divelist.c

print.o: print.c dive.h display.h display-gtk.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c print.c

libdivecomputer.o: libdivecomputer.c dive.h display.h display-gtk.h libdivecomputer.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) \
			$(LIBDIVECOMPUTERCFLAGS) \
			-c libdivecomputer.c

gtk-gui.o: gtk-gui.c dive.h display.h divelist.h display-gtk.h libdivecomputer.h Makefile
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(GCONF2CFLAGS) $(XML2CFLAGS) \
			$(LIBDIVECOMPUTERCFLAGS) \
			-DVERSION_STRING='"v$(VERSION)"' \
			-c gtk-gui.c

uemis.o: uemis.c dive.h uemis.h
	$(CC) $(CFLAGS) $(GTK2CFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) -c uemis.c

$(OSSUPPORT).o: $(OSSUPPORT).c display-gtk.h
	$(CC) $(CFLAGS) $(OSSUPPORT_CFLAGS) -c $(OSSUPPORT).c

doc:
	$(MAKE) -C Documentation doc

clean:
	rm -f $(OBJS) *~ $(NAME)

=== debian/changelog ===
subsurface (1.2-1) unstable; urgency=low

  * Initial release (Closes: #641903)

 -- Khalid El Fathi <khalid@elfathi.fr>  Thu, 05 Apr 2012 10:45:03 +0200

=== debian/control ===
Source: subsurface
Section: utils
Priority: optional
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               libdivecomputer-dev,
               libgconf2-dev,
               libgtk2.0-dev,
               libtool,
               libxml2-dev,
               libxslt-dev,
               patch,
               pkg-config,
               txt2html
Standards-Version: 3.9.3
Homepage: http://subsurface.hohndel.org
Vcs-Git: git://git.debian.org/collab-maint/subsurface.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/subsurface.git;a=summary

Package: subsurface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple dive log program written in C
 Subsurface is a simple dive log program written in C by Linus Torvalds.
 .
 It can process XML dive files or work directly with any dive computer supported
 by libdivecomputer. It supports import, PDF export and printing, and produces
 visual dive charts.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs
	txt2html Documentation/user-manual.txt > Documentation/user-manual.html
	cp Documentation/user-manual.txt debian/subsurface/usr/share/doc/subsurface/
	cp Documentation/user-manual.html debian/subsurface/usr/share/doc/subsurface/html

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/subsurface/usr/share/icons/hicolor/scalable/apps/subsurface.svg

=== debian/watch ===
version=3
http://githubredir.debian.net/github/torvalds/subsurface/v(.*)\.tar\.gz

## subsurface 3.0.2

=== Makefile ===
VERSION=3.0.2

CC=gcc
CFLAGS=-Wall -Wno-pointer-sign -g $(CLCFLAGS) -DGSEAL_ENABLE
INSTALL=install
PKGCONFIG=pkg-config
XML2CONFIG=xml2-config
XSLCONFIG=xslt-config

# these locations seem to work for SuSE and Fedora
# prefix = $(HOME)
prefix = $(DESTDIR)/usr
BINDIR = $(prefix)/bin
DATADIR = $(prefix)/share
DESKTOPDIR = $(DATADIR)/applications
ICONPATH = $(DATADIR)/icons/hicolor
ICONDIR = $(ICONPATH)/scalable/apps
MANDIR = $(DATADIR)/man/man1
XSLTDIR = $(DATADIR)/subsurface/xslt
gtk_update_icon_cache = gtk-update-icon-cache -f -t $(ICONPATH)

NAME = subsurface
ICONFILE = $(NAME)-icon.svg
DESKTOPFILE = $(NAME).desktop
MANFILES = $(NAME).1
XSLTFILES = xslt/*.xslt

VERSION_FILE = version.h
# There's only one line in $(VERSION_FILE); use the shell builtin `read'
STORED_VERSION_STRING = \
	$(subst ",,$(shell [ ! -r $(VERSION_FILE) ] || \
			   read ignore ignore v <$(VERSION_FILE) && echo $$v))
#" workaround editor syntax highlighting quirk

UNAME := $(shell $(CC) -dumpmachine 2>&1 | grep -E -o "linux|darwin|win")
GET_VERSION = ./scripts/get-version
VERSION_STRING := $(shell $(GET_VERSION) linux || echo "v$(VERSION)")
# Mac Info.plist style with three numbers 1.2.3
CFBUNDLEVERSION_STRING := $(shell $(GET_VERSION) darwin $(VERSION_STRING) || \
	echo "$(VERSION).0")
# Windows .nsi style with four numbers 1.2.3.4
PRODVERSION_STRING := $(shell $(GET_VERSION) win $(VERSION_STRING) || \
	echo "$(VERSION).0.0")

# find libdivecomputer
# First deal with the cross compile environment and with Mac.
# For the native case, Linus doesn't want to trust pkg-config given
# how young libdivecomputer still is - so we check the typical
# subdirectories of /usr/local and /usr and then we give up. You can
# override by simply setting it here
#
ifeq ($(CC), i686-w64-mingw32-gcc)
# ok, we are cross building for Windows
	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
	RESFILE = packaging/windows/subsurface.res
	LDFLAGS += -Wl,-subsystem,windows
	LIBWINSOCK = -lwsock32
else ifeq ($(UNAME), darwin)
	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
else
libdc-local := $(wildcard /usr/local/lib/libdivecomputer.a)
libdc-local64 := $(wildcard /usr/local/lib64/libdivecomputer.a)
libdc-usr := $(wildcard /usr/lib/libdivecomputer.a)
libdc-usr64 := $(wildcard /usr/lib64/libdivecomputer.a)

ifneq ($(LIBDCDEVEL),)
	LIBDIVECOMPUTERDIR = ../libdivecomputer
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/src/.libs/libdivecomputer.a
else ifneq ($(strip $(libdc-local)),)
	LIBDIVECOMPUTERDIR = /usr/local
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib/libdivecomputer.a
else ifneq ($(strip $(libdc-local64)),)
	LIBDIVECOMPUTERDIR = /usr/local
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib64/libdivecomputer.a
else ifneq ($(strip $(libdc-usr)),)
	LIBDIVECOMPUTERDIR = /usr
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib/libdivecomputer.a
else ifneq ($(strip $(libdc-usr64)),)
	LIBDIVECOMPUTERDIR = /usr
	LIBDIVECOMPUTERINCLUDES = -I$(LIBDIVECOMPUTERDIR)/include
	LIBDIVECOMPUTERARCHIVE = $(LIBDIVECOMPUTERDIR)/lib64/libdivecomputer.a
else
$(error Cannot find libdivecomputer - please edit Makefile)
endif
endif

# Libusb-1.0 is only required if libdivecomputer was built with it.
# And libdivecomputer is only built with it if libusb-1.0 is
# installed. So get libusb if it exists, but don't complain
# about it if it doesn't.
LIBUSB = $(shell $(PKGCONFIG) --libs libusb-1.0 2> /dev/null)

LIBGTK = $(shell $(PKGCONFIG) --libs gtk+-2.0 glib-2.0)
LIBDIVECOMPUTERCFLAGS = $(LIBDIVECOMPUTERINCLUDES)
LIBDIVECOMPUTER = $(LIBDIVECOMPUTERARCHIVE) $(LIBUSB)

LIBXML2 = $(shell $(XML2CONFIG) --libs)
LIBXSLT = $(shell $(XSLCONFIG) --libs)
XML2CFLAGS = $(shell $(XML2CONFIG) --cflags)
GLIB2CFLAGS = $(shell $(PKGCONFIG) --cflags glib-2.0)
GTKCFLAGS = $(shell $(PKGCONFIG) --cflags gtk+-2.0)
CFLAGS += $(shell $(XSLCONFIG) --cflags)
OSMGPSMAPFLAGS += $(shell $(PKGCONFIG) --cflags osmgpsmap 2> /dev/null)
LIBOSMGPSMAP += $(shell $(PKGCONFIG) --libs osmgpsmap 2> /dev/null)
ifneq ($(strip $(LIBOSMGPSMAP)),)
	GPSOBJ = gps.o
	CFLAGS += -DHAVE_OSM_GPS_MAP
endif
LIBSOUPCFLAGS = $(shell $(PKGCONFIG) --cflags libsoup-2.4)
LIBSOUP = $(shell $(PKGCONFIG) --libs libsoup-2.4)

LIBZIP = $(shell $(PKGCONFIG) --libs libzip 2> /dev/null)
ifneq ($(strip $(LIBZIP)),)
	ZIP = -DLIBZIP $(shell $(PKGCONFIG) --cflags libzip)
endif

ifeq ($(UNAME), linux)
	LIBGCONF2 = $(shell $(PKGCONFIG) --libs gconf-2.0)
	GCONF2CFLAGS =  $(shell $(PKGCONFIG) --cflags gconf-2.0)
	OSSUPPORT = linux
	OSSUPPORT_CFLAGS = $(GTKCFLAGS) $(GCONF2CFLAGS)
else ifeq ($(UNAME), darwin)
	OSSUPPORT = macos
	OSSUPPORT_CFLAGS = $(GTKCFLAGS)
	MACOSXINSTALL = /Applications/Subsurface.app
	MACOSXFILES = packaging/macosx
	MACOSXSTAGING = $(MACOSXFILES)/Subsurface.app
	INFOPLIST = $(MACOSXFILES)/Info.plist
	INFOPLISTINPUT = $(INFOPLIST).in
	EXTRALIBS = $(shell $(PKGCONFIG) --libs gtk-mac-integration) -framework CoreFoundation -framework CoreServices
	CFLAGS += $(shell $(PKGCONFIG) --cflags gtk-mac-integration)
	LDFLAGS += -headerpad_max_install_names -sectcreate __TEXT __info_plist $(INFOPLIST)
	GTK_MAC_BUNDLER = ~/.local/bin/gtk-mac-bundler
else
	OSSUPPORT = windows
	OSSUPPORT_CFLAGS = $(GTKCFLAGS)
	WINDOWSSTAGING = ./packaging/windows
	WINMSGDIRS=$(addprefix share/locale/,$(shell ls po/*.po | sed -e 's/po\/\(..\)_.*/\1\/LC_MESSAGES/'))
	NSIINPUTFILE = $(WINDOWSSTAGING)/subsurface.nsi.in
	NSIFILE = $(WINDOWSSTAGING)/subsurface.nsi
	MAKENSIS = makensis
	XSLTDIR = .\\xslt
endif

ifneq ($(strip $(LIBXSLT)),)
	XSLT=-DXSLT='"$(XSLTDIR)"'
endif

LIBS = $(LIBXML2) $(LIBXSLT) $(LIBGTK) $(LIBGCONF2) $(LIBDIVECOMPUTER) $(EXTRALIBS) $(LIBZIP) -lpthread -lm $(LIBOSMGPSMAP) $(LIBSOUP) $(LIBWINSOCK)

MSGLANGS=$(notdir $(wildcard po/*po))
MSGOBJS=$(addprefix share/locale/,$(MSGLANGS:.po=.UTF-8/LC_MESSAGES/subsurface.mo))

OBJS =	main.o dive.o time.o profile.o info.o equipment.o divelist.o deco.o planner.o \
	parse-xml.o save-xml.o libdivecomputer.o print.o uemis.o uemis-downloader.o \
	gtk-gui.o statistics.o file.o cochran.o device.o download-dialog.o prefs.o \
	webservice.o sha1.o $(GPSOBJ) $(OSSUPPORT).o $(RESFILE)

DEPS = $(wildcard .dep/*.dep)


all: $(NAME)

$(NAME): gen_version_file $(OBJS) $(MSGOBJS) $(INFOPLIST)
	$(CC) $(LDFLAGS) -o $(NAME) $(OBJS) $(LIBS)

gen_version_file:
ifneq ($(STORED_VERSION_STRING),$(VERSION_STRING))
	$(info updating $(VERSION_FILE) to $(VERSION_STRING))
	@echo \#define VERSION_STRING \"$(VERSION_STRING)\" >$(VERSION_FILE)
endif

install: all
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) $(NAME) $(BINDIR)
	$(INSTALL) -d -m 755 $(DESKTOPDIR)
	$(INSTALL) $(DESKTOPFILE) $(DESKTOPDIR)
	$(INSTALL) -d -m 755 $(ICONDIR)
	$(INSTALL) $(ICONFILE) $(ICONDIR)
	@-if test -z "$(DESTDIR)"; then \
		$(gtk_update_icon_cache); \
	fi
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -m 644 $(MANFILES) $(MANDIR)
	@-if test ! -z "$(XSLT)"; then \
		$(INSTALL) -d -m 755 $(DATADIR)/subsurface; \
		$(INSTALL) -d -m 755 $(XSLTDIR); \
		$(INSTALL) -m 644 $(XSLTFILES) $(XSLTDIR); \
	fi
	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
		$(INSTALL) -d -m 755 $(prefix)/$$LOC; \
		$(INSTALL) $$LOC/subsurface.mo $(prefix)/$$LOC/subsurface.mo; \
	done


install-macosx: all
	$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources
	$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/MacOS
	$(INSTALL) $(NAME) $(MACOSXINSTALL)/Contents/MacOS/$(NAME)-bin
	$(INSTALL) $(MACOSXFILES)/$(NAME).sh $(MACOSXINSTALL)/Contents/MacOS/$(NAME)
	$(INSTALL) $(MACOSXFILES)/PkgInfo $(MACOSXINSTALL)/Contents/
	$(INSTALL) $(MACOSXFILES)/Info.plist $(MACOSXINSTALL)/Contents/
	$(INSTALL) $(ICONFILE) $(MACOSXINSTALL)/Contents/Resources/
	$(INSTALL) $(MACOSXFILES)/Subsurface.icns $(MACOSXINSTALL)/Contents/Resources/
	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
		$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources/$$LOC; \
		$(INSTALL) $$LOC/subsurface.mo $(MACOSXINSTALL)/Contents/Resources/$$LOC/subsurface.mo; \
	done
	@-if test ! -z "$(XSLT)"; then \
		$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources/xslt; \
		$(INSTALL) -m 644 $(XSLTFILES) $(MACOSXINSTALL)/Contents/Resources/xslt/; \
	fi


create-macosx-bundle: all
	$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/Resources
	$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/MacOS
	$(INSTALL) $(NAME) $(MACOSXSTAGING)/Contents/MacOS/
	$(INSTALL) $(MACOSXFILES)/PkgInfo $(MACOSXSTAGING)/Contents/
	$(INSTALL) $(MACOSXFILES)/Info.plist $(MACOSXSTAGING)/Contents/
	$(INSTALL) $(ICONFILE) $(MACOSXSTAGING)/Contents/Resources/
	$(INSTALL) $(MACOSXFILES)/Subsurface.icns $(MACOSXSTAGING)/Contents/Resources/
	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
		$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/Resources/$$LOC; \
		$(INSTALL) $$LOC/subsurface.mo $(MACOSXSTAGING)/Contents/Resources/$$LOC/subsurface.mo; \
	done
	@-if test ! -z "$(XSLT)"; then \
		$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/Resources/xslt; \
		$(INSTALL) -m 644 $(XSLTFILES) $(MACOSXSTAGING)/Contents/Resources/xslt/; \
	fi
	$(GTK_MAC_BUNDLER) packaging/macosx/subsurface.bundle

sign-macosx-bundle: all
	codesign -s "3A8CE62A483083EDEA5581A61E770EC1FA8BECE8" /Applications/Subsurface.app/Contents/MacOS/subsurface-bin

install-cross-windows: all
	$(INSTALL) -d -m 755 $(WINDOWSSTAGING)/share/locale
	for MSG in $(WINMSGDIRS); do\
		$(INSTALL) -d -m 755 $(WINDOWSSTAGING)/$$MSG;\
		$(INSTALL) $(CROSS_PATH)/$$MSG/* $(WINDOWSSTAGING)/$$MSG;\
	done
	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
		$(INSTALL) -d -m 755 $(WINDOWSSTAGING)/$$LOC; \
		$(INSTALL) $$LOC/subsurface.mo $(WINDOWSSTAGING)/$$LOC/subsurface.mo; \
	done

create-windows-installer: all $(NSIFILE) install-cross-windows
	$(MAKENSIS) $(NSIFILE)

$(NSIFILE): $(NSIINPUTFILE)
	$(shell cat $(NSIINPUTFILE) | sed -e 's/VERSIONTOKEN/$(VERSION_STRING)/;s/PRODVTOKEN/$(PRODVERSION_STRING)/' > $(NSIFILE))

$(INFOPLIST): $(INFOPLISTINPUT)
	$(shell cat $(INFOPLISTINPUT) | sed -e 's/CFBUNDLEVERSION_TOKEN/$(CFBUNDLEVERSION_STRING)/' > $(INFOPLIST))

# Transifex merge the translations
update-po-files:
	xgettext -o po/subsurface-new.pot -s -k_ -kN_ --keyword=C_:1c,2  --add-comments="++GETTEXT" *.c
	tx push -s
	tx pull -af

EXTRA_FLAGS =	$(GTKCFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) \
		$(XSLT) $(ZIP) $(LIBDIVECOMPUTERCFLAGS) \
		$(LIBSOUPCFLAGS) $(OSMGPSMAPFLAGS) $(GCONF2CFLAGS)

%.o: %.c
	@echo '    CC' $<
	@mkdir -p .dep
	@$(CC) $(CFLAGS) $(EXTRA_FLAGS) -MD -MF .dep/$@.dep -c -o $@ $<

share/locale/%.UTF-8/LC_MESSAGES/subsurface.mo: po/%.po po/%.aliases
	mkdir -p $(dir $@)
	msgfmt -c -o $@ po/$*.po
	@-if test -s po/$*.aliases; then \
		for ALIAS in `cat po/$*.aliases`; do \
			mkdir -p share/locale/$$ALIAS/LC_MESSAGES; \
			cp $@ share/locale/$$ALIAS/LC_MESSAGES; \
		done; \
	fi

satellite.png: satellite.svg
	convert -transparent white -resize 11x16 -depth 8 $< $@

# This should work, but it doesn't get the colors quite right - so I manually converted with Gimp
#	convert -colorspace RGB -transparent white -resize 256x256 subsurface-icon.svg subsurface-icon.png
#
# The following creates the pixbuf data in .h files with the basename followed by '_pixmap'
# as name of the data structure
%.h: %.png
	@echo '    gdk-pixbuf-csource' $<
	@gdk-pixbuf-csource --struct --name `echo $* | sed 's/-/_/g'`_pixbuf $< > $@

doc:
	$(MAKE) -C Documentation doc

clean:
	rm -f $(OBJS) *~ $(NAME) $(NAME).exe po/*~ po/subsurface-new.pot \
		$(VERSION_FILE)
	rm -rf share .dep

-include $(DEPS)

=== debian/changelog ===
subsurface (3.0.2-1~exp3) experimental; urgency=low

  *  Add libosmgpsmap-dev dependency for OpenStreetMap support (Closes: #703708)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2013 16:46:17 +0100

subsurface (3.0.2-1~exp2) experimental; urgency=low

  * Fix the fail to build from sources under Kfreebsd & HURD.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Mar 2013 14:15:29 +0100

subsurface (3.0.2-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #690436)
  * Package moved under the Debian running development group umbrella
    (Closes: #701536)
  * Add myself among the uploaders (validated by Khalid)
  * Update of the watch file (Closes: #695449)
  * Update of the description
  * Depends on libdivecomputer >= 0.3.0
  * Add libsoup2.4-dev as dependency
  * Use libdivecomputer as a shared library (simplifies the maintenance)
    (Closes: #690434)
  * Enable some of the hardening functions
  * Disable the silent build

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2013 16:56:07 +0100

=== debian/control ===
Source: subsurface
Section: utils
Priority: optional
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Khalid El Fathi <khalid@elfathi.fr>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               libdivecomputer-dev (>= 0.3.0),
               libosmgpsmap-dev, 
               libgconf2-dev,
               libgtk2.0-dev,
               libtool,
               libxml2-dev,
               libxslt-dev,
               libsoup2.4-dev,
               patch,
               pkg-config,
               txt2html
Standards-Version: 3.9.3
Homepage: http://subsurface.hohndel.org
Vcs-Git: git://git.debian.org/collab-maint/subsurface.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/subsurface.git;a=summary

Package: subsurface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logbook program for scuba divers
 Subsurface is able to track single- and multi-tank dives using air, Nitrox or
 TriMix. It also allows logging of weights and exposure protection used, dive
 masters and dive buddies and enables the user to rate dives and provide
 additional dive notes.
 .
 With Subsurface the user can track dive locations including GPS coordinates
 (which can also conveniently be entered using a map interface). Subsurface
 calculates a wide variety of statistics of the user's diving and calculates
 and tracks information like the user's SAC rate, partial pressures of O2, N2
 and He, calculated deco information, and many more.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	CLCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" make

override_dh_installchangelogs:
	dh_installchangelogs
	txt2html Documentation/user-manual.txt > Documentation/user-manual.html
	cp Documentation/user-manual.txt debian/subsurface/usr/share/doc/subsurface/
	cp Documentation/user-manual.html debian/subsurface/usr/share/doc/subsurface/html

## subsurface 3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
-VERSION=3.0.2
+NAME = subsurface
+CAPITALIZED_NAME = Subsurface
+TARGET = $(NAME)
+
+VERSION=3.1
 
 CC=gcc
 CFLAGS=-Wall -Wno-pointer-sign -g $(CLCFLAGS) -DGSEAL_ENABLE
@@ -16,14 +20,13 @@
 ICONPATH = $(DATADIR)/icons/hicolor
 ICONDIR = $(ICONPATH)/scalable/apps
 MANDIR = $(DATADIR)/man/man1
-XSLTDIR = $(DATADIR)/subsurface/xslt
+XSLTDIR = $(DATADIR)/$(NAME)/xslt
 gtk_update_icon_cache = gtk-update-icon-cache -f -t $(ICONPATH)
 
-NAME = subsurface
 ICONFILE = $(NAME)-icon.svg
 DESKTOPFILE = $(NAME).desktop
 MANFILES = $(NAME).1
-XSLTFILES = xslt/*.xslt
+XSLTFILES = xslt/*.xslt xslt/*.xsl
 
 VERSION_FILE = version.h
 # There's only one line in $(VERSION_FILE); use the shell builtin `read'
@@ -32,15 +35,28 @@
 			   read ignore ignore v <$(VERSION_FILE) && echo $$v))
 #" workaround editor syntax highlighting quirk
 
-UNAME := $(shell $(CC) -dumpmachine 2>&1 | grep -E -o "linux|darwin|win")
+UNAME := $(shell $(CC) -dumpmachine 2>&1 | grep -E -o "linux|darwin|win|gnu|kfreebsd")
 GET_VERSION = ./scripts/get-version
-VERSION_STRING := $(shell $(GET_VERSION) linux || echo "v$(VERSION)")
+VERSION_STRING := $(shell [ -d .git ] && $(GET_VERSION) linux || \
+			echo "v$(VERSION)")
 # Mac Info.plist style with three numbers 1.2.3
-CFBUNDLEVERSION_STRING := $(shell $(GET_VERSION) darwin $(VERSION_STRING) || \
-	echo "$(VERSION).0")
+CFBUNDLEVERSION_STRING := $(shell [ -d .git ] && \
+				$(GET_VERSION) darwin $(VERSION_STRING) || \
+				echo "$(VERSION).0")
 # Windows .nsi style with four numbers 1.2.3.4
-PRODVERSION_STRING := $(shell $(GET_VERSION) win $(VERSION_STRING) || \
-	echo "$(VERSION).0.0")
+PRODVERSION_STRING := $(shell [ -d .git ] && \
+				$(GET_VERSION) win $(VERSION_STRING) || \
+				echo "$(VERSION).0.0")
+
+# 'pretty' output (easy to spot warnings) by default
+# 'verbose' output (all the details) by calling with "make V=1"
+ifeq ($(V),1)
+	PRETTYECHO=true
+	COMPILE_PREFIX=
+else
+	PRETTYECHO=echo
+	COMPILE_PREFIX=@
+endif
 
 # find libdivecomputer
 # First deal with the cross compile environment and with Mac.
@@ -53,9 +69,11 @@
 # ok, we are cross building for Windows
 	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
 	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
-	RESFILE = packaging/windows/subsurface.res
+	LIBGNUTLS = $(shell $(PKGCONFIG) --libs gnutls-extra) $(shell $(PKGCONFIG) --libs p11-kit-1)
+	RESFILE = packaging/windows/$(NAME).res
 	LDFLAGS += -Wl,-subsystem,windows
 	LIBWINSOCK = -lwsock32
+	TARGET = $(NAME).exe
 else ifeq ($(UNAME), darwin)
 	LIBDIVECOMPUTERINCLUDES = $(shell $(PKGCONFIG) --cflags libdivecomputer)
 	LIBDIVECOMPUTERARCHIVE = $(shell $(PKGCONFIG) --libs libdivecomputer)
@@ -120,7 +138,12 @@
 	ZIP = -DLIBZIP $(shell $(PKGCONFIG) --cflags libzip)
 endif
 
-ifeq ($(UNAME), linux)
+LIBSQLITE3 = $(shell $(PKGCONFIG) --libs sqlite3 2> /dev/null)
+ifneq ($(strip $(LIBSQLITE3)),)
+	SQLITE3 = -DSQLITE3 $(shell $(PKGCONFIG) --cflags sqlite3)
+endif
+
+ifneq (,$(filter $(UNAME),linux kfreebsd gnu))
 	LIBGCONF2 = $(shell $(PKGCONFIG) --libs gconf-2.0)
 	GCONF2CFLAGS =  $(shell $(PKGCONFIG) --cflags gconf-2.0)
 	OSSUPPORT = linux
@@ -128,9 +151,9 @@
 else ifeq ($(UNAME), darwin)
 	OSSUPPORT = macos
 	OSSUPPORT_CFLAGS = $(GTKCFLAGS)
-	MACOSXINSTALL = /Applications/Subsurface.app
+	MACOSXINSTALL = /Applications/$(CAPITALIZED_NAME).app
 	MACOSXFILES = packaging/macosx
-	MACOSXSTAGING = $(MACOSXFILES)/Subsurface.app
+	MACOSXSTAGING = $(MACOSXFILES)/$(CAPITALIZED_NAME).app
 	INFOPLIST = $(MACOSXFILES)/Info.plist
 	INFOPLISTINPUT = $(INFOPLIST).in
 	EXTRALIBS = $(shell $(PKGCONFIG) --libs gtk-mac-integration) -framework CoreFoundation -framework CoreServices
@@ -142,8 +165,8 @@
 	OSSUPPORT_CFLAGS = $(GTKCFLAGS)
 	WINDOWSSTAGING = ./packaging/windows
 	WINMSGDIRS=$(addprefix share/locale/,$(shell ls po/*.po | sed -e 's/po\/\(..\)_.*/\1\/LC_MESSAGES/'))
-	NSIINPUTFILE = $(WINDOWSSTAGING)/subsurface.nsi.in
-	NSIFILE = $(WINDOWSSTAGING)/subsurface.nsi
+	NSIINPUTFILE = $(WINDOWSSTAGING)/$(NAME).nsi.in
+	NSIFILE = $(WINDOWSSTAGING)/$(NAME).nsi
 	MAKENSIS = makensis
 	XSLTDIR = .\\xslt
 endif
@@ -152,23 +175,25 @@
 	XSLT=-DXSLT='"$(XSLTDIR)"'
 endif
 
-LIBS = $(LIBXML2) $(LIBXSLT) $(LIBGTK) $(LIBGCONF2) $(LIBDIVECOMPUTER) $(EXTRALIBS) $(LIBZIP) -lpthread -lm $(LIBOSMGPSMAP) $(LIBSOUP) $(LIBWINSOCK)
-
-MSGLANGS=$(notdir $(wildcard po/*po))
-MSGOBJS=$(addprefix share/locale/,$(MSGLANGS:.po=.UTF-8/LC_MESSAGES/subsurface.mo))
+LIBS = $(LIBXML2) $(LIBXSLT) $(LIBSQLITE3) $(LIBGTK) $(LIBGCONF2) $(LIBDIVECOMPUTER) $(EXTRALIBS) $(LIBZIP) -lpthread -lm $(LIBOSMGPSMAP) $(LIBSOUP) $(LIBWINSOCK) $(LIBGNUTLS)
+
+MSGLANGS=$(notdir $(wildcard po/*.po))
+MSGOBJS=$(addprefix share/locale/,$(MSGLANGS:.po=.UTF-8/LC_MESSAGES/$(NAME).mo))
+
+GTKOBJS = info-gtk.o divelist-gtk.o planner-gtk.o statistics-gtk.o gtk-gui.o
 
 OBJS =	main.o dive.o time.o profile.o info.o equipment.o divelist.o deco.o planner.o \
 	parse-xml.o save-xml.o libdivecomputer.o print.o uemis.o uemis-downloader.o \
-	gtk-gui.o statistics.o file.o cochran.o device.o download-dialog.o prefs.o \
-	webservice.o sha1.o $(GPSOBJ) $(OSSUPPORT).o $(RESFILE)
+	statistics.o file.o device.o download-dialog.o prefs.o \
+	webservice.o sha1.o $(GPSOBJ) $(OSSUPPORT).o $(RESFILE) $(GTKOBJS)
 
 DEPS = $(wildcard .dep/*.dep)
 
-
-all: $(NAME)
-
-$(NAME): gen_version_file $(OBJS) $(MSGOBJS) $(INFOPLIST)
-	$(CC) $(LDFLAGS) -o $(NAME) $(OBJS) $(LIBS)
+all: $(TARGET)
+
+$(TARGET): gen_version_file $(OBJS) $(MSGOBJS) $(INFOPLIST)
+	@$(PRETTYECHO) '    LINK' $(TARGET)
+	$(COMPILE_PREFIX)$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)
 
 gen_version_file:
 ifneq ($(STORED_VERSION_STRING),$(VERSION_STRING))
@@ -182,20 +207,20 @@
 	$(INSTALL) -d -m 755 $(DESKTOPDIR)
 	$(INSTALL) $(DESKTOPFILE) $(DESKTOPDIR)
 	$(INSTALL) -d -m 755 $(ICONDIR)
-	$(INSTALL) $(ICONFILE) $(ICONDIR)
+	$(INSTALL) -m 644 $(ICONFILE) $(ICONDIR)
 	@-if test -z "$(DESTDIR)"; then \
 		$(gtk_update_icon_cache); \
 	fi
 	$(INSTALL) -d -m 755 $(MANDIR)
 	$(INSTALL) -m 644 $(MANFILES) $(MANDIR)
 	@-if test ! -z "$(XSLT)"; then \
-		$(INSTALL) -d -m 755 $(DATADIR)/subsurface; \
+		$(INSTALL) -d -m 755 $(DATADIR)/$(NAME); \
 		$(INSTALL) -d -m 755 $(XSLTDIR); \
 		$(INSTALL) -m 644 $(XSLTFILES) $(XSLTDIR); \
 	fi
 	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
-		$(INSTALL) -d -m 755 $(prefix)/$$LOC; \
-		$(INSTALL) $$LOC/subsurface.mo $(prefix)/$$LOC/subsurface.mo; \
+		$(INSTALL) -d $(prefix)/$$LOC; \
+		$(INSTALL) -m 644 $$LOC/$(NAME).mo $(prefix)/$$LOC/$(NAME).mo; \
 	done
 
 
@@ -207,10 +232,10 @@
 	$(INSTALL) $(MACOSXFILES)/PkgInfo $(MACOSXINSTALL)/Contents/
 	$(INSTALL) $(MACOSXFILES)/Info.plist $(MACOSXINSTALL)/Contents/
 	$(INSTALL) $(ICONFILE) $(MACOSXINSTALL)/Contents/Resources/
-	$(INSTALL) $(MACOSXFILES)/Subsurface.icns $(MACOSXINSTALL)/Contents/Resources/
+	$(INSTALL) $(MACOSXFILES)/$(CAPITALIZED_NAME).icns $(MACOSXINSTALL)/Contents/Resources/
 	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
 		$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources/$$LOC; \
-		$(INSTALL) $$LOC/subsurface.mo $(MACOSXINSTALL)/Contents/Resources/$$LOC/subsurface.mo; \
+		$(INSTALL) $$LOC/$(NAME).mo $(MACOSXINSTALL)/Contents/Resources/$$LOC/$(NAME).mo; \
 	done
 	@-if test ! -z "$(XSLT)"; then \
 		$(INSTALL) -d -m 755 $(MACOSXINSTALL)/Contents/Resources/xslt; \
@@ -225,19 +250,19 @@
 	$(INSTALL) $(MACOSXFILES)/PkgInfo $(MACOSXSTAGING)/Contents/
 	$(INSTALL) $(MACOSXFILES)/Info.plist $(MACOSXSTAGING)/Contents/
 	$(INSTALL) $(ICONFILE) $(MACOSXSTAGING)/Contents/Resources/
-	$(INSTALL) $(MACOSXFILES)/Subsurface.icns $(MACOSXSTAGING)/Contents/Resources/
+	$(INSTALL) $(MACOSXFILES)/$(CAPITALIZED_NAME).icns $(MACOSXSTAGING)/Contents/Resources/
 	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
 		$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/Resources/$$LOC; \
-		$(INSTALL) $$LOC/subsurface.mo $(MACOSXSTAGING)/Contents/Resources/$$LOC/subsurface.mo; \
+		$(INSTALL) $$LOC/$(NAME).mo $(MACOSXSTAGING)/Contents/Resources/$$LOC/$(NAME).mo; \
 	done
 	@-if test ! -z "$(XSLT)"; then \
 		$(INSTALL) -d -m 755 $(MACOSXSTAGING)/Contents/Resources/xslt; \
 		$(INSTALL) -m 644 $(XSLTFILES) $(MACOSXSTAGING)/Contents/Resources/xslt/; \
 	fi
-	$(GTK_MAC_BUNDLER) packaging/macosx/subsurface.bundle
+	$(GTK_MAC_BUNDLER) packaging/macosx/$(NAME).bundle
 
 sign-macosx-bundle: all
-	codesign -s "3A8CE62A483083EDEA5581A61E770EC1FA8BECE8" /Applications/Subsurface.app/Contents/MacOS/subsurface-bin
+	codesign -s "3A8CE62A483083EDEA5581A61E770EC1FA8BECE8" /Applications/$(CAPITALIZED_NAME).app/Contents/MacOS/$(NAME)-bin
 
 install-cross-windows: all
 	$(INSTALL) -d -m 755 $(WINDOWSSTAGING)/share/locale
@@ -247,7 +272,7 @@
 	done
 	for LOC in $(wildcard share/locale/*/LC_MESSAGES); do \
 		$(INSTALL) -d -m 755 $(WINDOWSSTAGING)/$$LOC; \
-		$(INSTALL) $$LOC/subsurface.mo $(WINDOWSSTAGING)/$$LOC/subsurface.mo; \
+		$(INSTALL) $$LOC/$(NAME).mo $(WINDOWSSTAGING)/$$LOC/$(NAME).mo; \
 	done
 
 create-windows-installer: all $(NSIFILE) install-cross-windows
@@ -261,20 +286,22 @@
 
 # Transifex merge the translations
 update-po-files:
-	xgettext -o po/subsurface-new.pot -s -k_ -kN_ --keyword=C_:1c,2  --add-comments="++GETTEXT" *.c
+	tx pull -af
+
+push-pot:
+	xgettext -o po/$(NAME)-new.pot -s -k_ -kN_ --keyword=C_:1c,2  --add-comments="++GETTEXT" *.c
 	tx push -s
-	tx pull -af
 
 EXTRA_FLAGS =	$(GTKCFLAGS) $(GLIB2CFLAGS) $(XML2CFLAGS) \
-		$(XSLT) $(ZIP) $(LIBDIVECOMPUTERCFLAGS) \
+		$(XSLT) $(ZIP) $(SQLITE3) $(LIBDIVECOMPUTERCFLAGS) \
 		$(LIBSOUPCFLAGS) $(OSMGPSMAPFLAGS) $(GCONF2CFLAGS)
 
 %.o: %.c
-	@echo '    CC' $<
+	@$(PRETTYECHO) '    CC' $<
 	@mkdir -p .dep
-	@$(CC) $(CFLAGS) $(EXTRA_FLAGS) -MD -MF .dep/$@.dep -c -o $@ $<
-
-share/locale/%.UTF-8/LC_MESSAGES/subsurface.mo: po/%.po po/%.aliases
+	$(COMPILE_PREFIX)$(CC) $(CFLAGS) $(EXTRA_FLAGS) -MD -MF .dep/$@.dep -c -o $@ $<
+
+share/locale/%.UTF-8/LC_MESSAGES/$(NAME).mo: po/%.po po/%.aliases
 	mkdir -p $(dir $@)
 	msgfmt -c -o $@ po/$*.po
 	@-if test -s po/$*.aliases; then \
@@ -284,24 +311,3 @@
 		done; \
 	fi
 
-satellite.png: satellite.svg
-	convert -transparent white -resize 11x16 -depth 8 $< $@
-
-# This should work, but it doesn't get the colors quite right - so I manually converted with Gimp
-#	convert -colorspace RGB -transparent white -resize 256x256 subsurface-icon.svg subsurface-icon.png
-#
-# The following creates the pixbuf data in .h files with the basename followed by '_pixmap'
-# as name of the data structure
-%.h: %.png
-	@echo '    gdk-pixbuf-csource' $<
-	@gdk-pixbuf-csource --struct --name `echo $* | sed 's/-/_/g'`_pixbuf $< > $@
-
-doc:
-	$(MAKE) -C Documentation doc
-
-clean:
-	rm -f $(OBJS) *~ $(NAME) $(NAME).exe po/*~ po/subsurface-new.pot \
-		$(VERSION_FILE)
-	rm -rf share .dep
-
--include $(DEPS)

=== debian/changelog ===
subsurface (3.1-1) unstable; urgency=low

  * New upstream release
  * Remove patches (updated upstream disable-git-version.diff,
    disable-silent-make.diff, fix-perm.diff, fixftbfs-kfreebsd-gnu.diff)
  * Remove patch as dependency
  * Add libzip-dev and libsqlite3-dev as dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 May 2013 13:22:32 +0200

subsurface (3.0.2-1) unstable; urgency=low

  * Standards-Version updated to 3.9.4
  * Upload to unstable
  * Package repository moved to the pkg-running team

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 May 2013 16:01:45 +0200

## subsurface 3.1.1

=== Documentation/Makefile ===
DOCNAME = user-manual
DOCSOURCE = $(DOCNAME).txt
HTMLDOC = $(DOCNAME).html
ASCIIDOC = asciidoc
A2X = a2x
BROWSER = firefox

all: doc $(addprefix $(DOCNAME).,pdf text)

doc: $(HTMLDOC)

$(DOCNAME).text: $(DOCSOURCE)
	$(A2X) -f text $<

$(DOCNAME).pdf: $(DOCSOURCE)
	$(A2X) -f pdf $<

$(HTMLDOC): $(DOCSOURCE)
	$(ASCIIDOC) $<

# Alternatively::
$(DOCNAME).xhtml: $(DOCSOURCE)
	$(A2X) --icons -f xhtml $<

show: $(HTMLDOC)
	$(BROWSER) $<

clean:
	rm -f *~ docbook-xsl.css $(HTMLDOC) $(addprefix $(DOCNAME).,pdf text)

=== debian/changelog ===
subsurface (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Jul 2013 14:01:36 +0200

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,21 @@
                debhelper (>= 9),
                dh-autoreconf,
                libdivecomputer-dev (>= 0.3.0),
-               libosmgpsmap-dev, 
+               libosmgpsmap-dev,
                libgconf2-dev,
                libgtk2.0-dev,
                libtool,
                libxml2-dev,
                libxslt-dev,
                libsoup2.4-dev,
-               patch,
                pkg-config,
-               txt2html
-Standards-Version: 3.9.3
+               txt2html,
+               libzip-dev,
+               libsqlite3-dev
+Standards-Version: 3.9.4
 Homepage: http://subsurface.hohndel.org
-Vcs-Git: git://git.debian.org/collab-maint/subsurface.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/subsurface.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-running/subsurface.git
+Vcs-Browser: http://git.debian.org/?p=pkg-running/subsurface.git;a=summary
 
 Package: subsurface
 Architecture: any

## subsurface 4.0

=== Documentation/Makefile ===
DOCNAME = user-manual
DOCSOURCE = $(DOCNAME).txt
HTMLDOC = $(DOCNAME).html
ASCIIDOC = asciidoc
A2X = a2x
BROWSER = firefox
THEME = compact_subsurface
PWD = $(realpath .)

all: doc $(addprefix $(DOCNAME).,pdf text)

doc: $(OUT)$(HTMLDOC)

$(OUT)$(DOCNAME).text: $(DOCSOURCE)
	$(A2X) -f text $<

$(OUT)$(DOCNAME).pdf: $(DOCSOURCE)
	$(A2X) -f pdf $<

$(OUT)$(HTMLDOC): $(DOCSOURCE)
	@echo "if asciidoc isn't found no HTML documentation is produced but Subsurface is still functional"
	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) $< || true

# Alternatively::
$(OUT)$(DOCNAME).xhtml: $(DOCSOURCE)
	$(A2X) --icons -f xhtml $<

show: $(HTMLDOC)
	$(BROWSER) $<

clean:
	rm -f *~ docbook-xsl.css $(HTMLDOC) $(addprefix $(DOCNAME).,pdf text)

=== debian/changelog ===
subsurface (4.0-1) unstable; urgency=low

  * New (major) upstream release
  * Switch from gtk to qt
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Dec 2013 08:53:30 +0100

subsurface (3.1.1-2) unstable; urgency=low

  * Fix the FTBFS under HURD

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Sep 2013 13:44:50 +0200

## subsurface 4.0.2

=== Documentation/Makefile ===
--- 
+++ 
@@ -1,3 +1,12 @@
+#
+# in order for "normal" developers not to have to install asciidoc (which
+# brings in a couple hundred MB of dependencies) we now include both the
+# user-manual.txt and a copy of the generated .html file in git
+#
+# in order to avoid unnecessary thrash with minor version differences, when
+# submitting patches to the user manual, only submit the changes to the .txt
+# file - the maintainer will recreate the .html.git file
+
 DOCNAME = user-manual
 DOCSOURCE = $(DOCNAME).txt
 HTMLDOC = $(DOCNAME).html
@@ -18,8 +27,9 @@
 	$(A2X) -f pdf $<
 
 $(OUT)$(HTMLDOC): $(DOCSOURCE)
-	@echo "if asciidoc isn't found no HTML documentation is produced but Subsurface is still functional"
-	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) $< || true
+	@echo "if asciidoc isn't found the html file included in the sources is copied"
+	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) \
+		-o $(HTMLDOC) $< || cp $(HTMLDOC).git $(HTMLDOC)
 
 # Alternatively::
 $(OUT)$(DOCNAME).xhtml: $(DOCSOURCE)

=== debian/changelog ===
subsurface (4.0.2-2build1) trusty; urgency=medium

  * No change rebuild for marble transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Mar 2014 00:42:55 -0400

subsurface (4.0.2-2) unstable; urgency=low

  * Fix the FTBFS under HURD

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 19:29:17 +0100

subsurface (4.0.2-1) unstable; urgency=low

  * New upstream release
  * Force the verbose build mode

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 09:29:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                debhelper (>= 9),
                dh-autoreconf,
                libdivecomputer-dev (>= 0.3.0),
+	       libqt4-dev,
+               libqtwebkit-dev,
                libosmgpsmap-dev,
                libgconf2-dev,
-               libgtk2.0-dev,
                libtool,
                libxml2-dev,
                libxslt-dev,
@@ -19,8 +20,9 @@
                pkg-config,
                txt2html,
                libzip-dev,
-               libsqlite3-dev
-Standards-Version: 3.9.4
+               libsqlite3-dev,
+               libmarble-dev
+Standards-Version: 3.9.5
 Homepage: http://subsurface.hohndel.org
 Vcs-Git: git://git.debian.org/pkg-running/subsurface.git
 Vcs-Browser: http://git.debian.org/?p=pkg-running/subsurface.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- V=1
 
 override_dh_auto_build:
 	CLCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" make

=== debian/watch ===
version=3
http://subsurface.hohndel.org/downloads/Subsurface-(.*).tgz

## subsurface 4.0.3

=== debian/changelog ===
subsurface (4.0.3-2build1) utopic; urgency=medium

  * Rebuild against libmarblewidget19.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 00:44:52 +0100

subsurface (4.0.3-2) unstable; urgency=medium

  * Make sure subsurface builds on all archs (Closes: #738438)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 May 2014 15:21:27 +0200

subsurface (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Feb 2014 11:55:51 +0100
